Bug 1889522 - metrics playbooks are broken due to typo
Summary: metrics playbooks are broken due to typo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-metrics
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ovirt-4.4.3
: ---
Assignee: Shirly Radco
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 20:32 UTC by Guilherme Santos
Modified: 2020-11-24 13:10 UTC (History)
2 users (show)

Fixed In Version: ovirt-engine-metrics-1.4.2-1.el8ev
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 13:10:07 UTC
oVirt Team: Metrics
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5179 None None None 2020-11-24 13:10:28 UTC
oVirt gerrit 111797 master MERGED fix typo in set_fact 2020-11-12 14:33:11 UTC
oVirt gerrit 111798 master ABANDONED Fixed typo in oVirt.manage-services/tasks/main.yml role 2020-11-12 14:33:10 UTC

Description Guilherme Santos 2020-10-19 20:32:08 UTC
Description of problem:
manage-ovirt-metrics-services.yml and cleanup-ovirt-metrics playbook are failing due to typo on line 63 here: https://gerrit.ovirt.org/#/c/111177/26/roles/oVirt.manage-services/tasks/main.yml

"Set fact" should be "set_fact"

Version-Release number of selected component (if applicable):
ovirt-engine-4.4.3.7-0.22.el8ev.noarch
ovirt-engine-metrics-1.4.2-1.el8ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. # /usr/share/ovirt-engine-metrics/setup/ansible/configure_ovirt_machines_for_metrics.sh --playbook=manage-ovirt-metrics-services.yml or --playbook=cleanup-ovirt-metrics.yml
2.
3.

Actual results:
Fails

Expected results:
Succeeds

Additional info:

Comment 6 Guilherme Santos 2020-10-26 23:36:18 UTC
Verified on:
ovirt-engine-metrics-1.4.2.1-1.el8ev.noarch
ovirt-engine-4.4.3.8-0.1.el8ev.noarch

Steps:
1. # /usr/share/ovirt-engine-metrics/setup/ansible/configure_ovirt_machines_for_metrics.sh --playbook=manage-ovirt-metrics-services.yml
2. # /usr/share/ovirt-engine-metrics/setup/ansible/configure_ovirt_machines_for_metrics.sh --playbook=cleanup-ovirt-metrics.yml

Results:
playbooks running successfully as expected

Comment 10 errata-xmlrpc 2020-11-24 13:10:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5179


Note You need to log in before you can comment on or make changes to this bug.